# DataExchange
TKIGES
IGESSelect

# IGESSelect_SplineToBSpline Class Reference

This type of Transformer allows to convert Spline Curves (IGES
type 112) and Surfaces (IGES Type 126) to BSpline Curves (IGES
type 114) and Surfac (IGES Type 128). All other entities are
rebuilt as identical but on the basis of this conversion.
It also gives an option to, either convert as such (i.e. each
starting part of the spline becomes a segment of the bspline,
with continuity C0 between segments), or try to increase
continuity as far as possible to C1 or to C2.
It does nothing if the starting model contains no Spline
Curve (IGES Type 112) or Surface (IGES Type 126). Else,
converting and rebuilding implies copying of entities.
.

`#include <IGESSelect_SplineToBSpline.hxx>`

Inheritance diagram for IGESSelect_SplineToBSpline:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_SplineToBSpline (const Standard_Boolean tryC2)
| Creates a Transformer SplineToBSpline. If <tryc2> is True, it will in addition try to upgrade continuity up to C2. .
Standard_EXPORT Standard_Boolean | OptionTryC2 () const
| Returns the option TryC2 given at creation time .
Standard_EXPORT Standard_Boolean | Perform (const Interface_Graph &G, const Handle(Interface_Protocol)&protocol, Interface_CheckIterator &checks, Handle(Interface_InterfaceModel)&newmod)
| Performs the transformation, if there is at least one Spline Curve (112) or Surface (126). Does nothing if there is none. .
Standard_EXPORT Standard_Boolean | Updated (const Handle(Standard_Transient)&entfrom, Handle(Standard_Transient)&entto) const
| Returns the transformed entities. If original data contained no Spline Curve or Surface, the result is identity : <entto> = <entfrom> Else, the copied counterpart is returned : for a Spline Curve or Surface, it is a converted BSpline Curve or Surface. Else, it is the result of general service Copy (rebuilt as necessary by BSPlines replacing Splines). .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns a text which defines the way a Transformer works : "Conversion Spline to BSpline" and as opted, " trying to upgrade continuity" .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | thetryc2
Standard_Boolean | thefound
Handle_Interface_CopyControl | themap

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SplineToBSpline::IGESSelect_SplineToBSpline | ( | const Standard_Boolean | tryC2 | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_SplineToBSpline::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Transformer.

Standard_EXPORT TCollection_AsciiString IGESSelect_SplineToBSpline::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Transformer.

Standard_EXPORT Standard_Boolean IGESSelect_SplineToBSpline::OptionTryC2 | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESSelect_SplineToBSpline::Perform | ( | const Interface_Graph & | G,
|  | const Handle(Interface_Protocol)& | protocol,
|  | Interface_CheckIterator & | checks,
|  | Handle(Interface_InterfaceModel)& | newmod
| ) | `[virtual]`

| Implements IFSelect_Transformer.

Standard_EXPORT Standard_Boolean IGESSelect_SplineToBSpline::Updated | ( | const Handle(Standard_Transient)& | entfrom,
|  | Handle(Standard_Transient)& | entto
| ) | const`[virtual]`

| Implements IFSelect_Transformer.

## Field Documentation

Standard_Boolean IGESSelect_SplineToBSpline::thefound `[private]`

Handle_Interface_CopyControl IGESSelect_SplineToBSpline::themap `[private]`

Standard_Boolean IGESSelect_SplineToBSpline::thetryc2 `[private]`

The documentation for this class was generated from the following file:

- IGESSelect_SplineToBSpline.hxx